----- Menu/loading sounds ----


function MakeVariantList(prefix, maxIndex)

	out = ""

	for x = 1,maxIndex do
		out = out .. prefix .. x
		if (x < maxIndex) then out = out .. ";" end
	end
	
	return out
end

MakeLoopingElementQuick("water tune", "water tune", 130, 0.5, 0.5)


MakeOneShotElementVol("start", MakeVariantList("menu/menu_start", 4), 3, 100)
MakeOneShotElementVol("start", "menu_finish", 1, 50)

for x = 1,7 do
	MakeLoopingElementQuick("letterPad" .. x, "menu/menu_letterpad" .. x, 100, 1, 3)
end

MakeOneShotElementVol("twinkle", MakeVariantList("menu/menu_twinkle", 9), 10, 100)

--MakeOneShotElementVol("letterEvent", MakeVariantList("menu/menu_letevent", 16), 10, 255)
MakeOneShotElementVol("twinkle", MakeVariantList("menu/menu_twinkle", 9), 10, 255)

--if GetSeason() == -1 then
	MakeLoopingElementQuick("dawndusk", "night/dense strings", 254, 1, 1)
	MakeLoopingElementQuick("day", "menu/menu_day", 254, 1, 1)
	MakeLoopingElementQuick("night", "menu/menu_night", 254, 1, 1)
--else
	MakeLoopingElementQuick("frozen", "low end peace", 100, 1, 1)
--end

MakeLoopingElementQuick("overisle", "menu/menu_overisle", 140, 1, 1)

fadeInTime = 3
fadeOutTime = 3
MakeLoopingElementQuick("overlay", "rain sfx", 254, fadeInTime, fadeOutTime)

el = MakeLoopingElementQuick("pilgrim", "menu/menu_pilgrim", 254, fadeInTime, fadeOutTime)
el:RestartOnZero()

el = MakeLoopingElementQuick("crystal", "menu/menu_crystal", 254, fadeInTime, fadeOutTime)
el:RestartOnZero()